LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XIdlMember Interface Referencepublished

Base interface for XIdlField2s and XIdlMethods. More...

`import"XIdlMember.idl";`

Inheritance diagram for XIdlMember:

## Public Member Functions
XIdlClass | getDeclaringClass ()
| Returns the declaring type of this field, i.e. More...
string | getName ()
| Returns the fully-qualified name of the member. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Base interface for XIdlField2s and XIdlMethods.

## Member Function Documentation

XIdlClass getDeclaringClass | ( |  | ) |

Returns the declaring type of this field, i.e.

the type having the member declared (interface, enum, struct, exception).

Returns
  declaring type

string getName | ( |  | ) |

Returns the fully-qualified name of the member.

Returns
  fully-qualified name of the member

The documentation for this interface was generated from the following file:

- com/sun/star/reflection/XIdlMember.idl